@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';

//window-resize-behaviour handling (mainly related to advancedsearch)
.yw-collapsibleContainer-caption {
    > .z-center-header,
    > .z-north-header,
    > .z-south-header {
        overflow: visible;
        padding: $collapsible-container__header--padding;
        min-height: $collapsible-container__header--height;
        height: auto;
        border: none;
        background: none;

        > [class$=-caption] {
            width: auto !important;
        }
        .yw-caption-container > .z-caption-content {
            max-width: 100%;

            > [class="z-div"] {
                .z-label {
                    max-width: 100%;
                    text-overflow: ellipsis;
                    overflow: hidden;
                }
            }
        }
        .yw-com_hybris_backoffice_perspectiveContainer & .yw-caption-container {
            position: relative;
        }
    }
    > .z-north-header,
    > .z-center-header {
        .yw-caption-container > .z-caption-content {
            padding-right: $collapsible-container__caption-content-container--padding-right;

            .yw-textsearch-searchbutton {
                margin-left: $collapsible-container__search-button--margin-left;
                border-left-width: $collapsible-container__search-button--border-left-width;
                display: inline-block;
                float: left;
            }
            .yw-search-mode-container {
                display: inline;
                float: left;
                white-space: normal;
            }
            button.yw-toggle-advanced-search {
                display: inline-block;
            }
        }
    }

    > .z-south-header {
        border-top: $collapsible-container__header-bottom--border-top;
        background-color: $collapsible-container__header-bottom--bg-color;
    }

    .z-caption-content {
        text-align: left;
    }

    &.yw-collapsed-down {
        > .z-north-header {
            background-color: $collapsible-container__header-top--bg-color;

            .yw-caption-container > .z-caption-content {
                padding-right: $collapsible-container__caption-content-container--padding-right;

                .yw-search-mode-container,
                .yw-textsearch.yw-toggle-open {
                    height: $collapsible-container__header--height;
                    overflow: hidden;
                }
            }
        }
    }
    .z-north-capcnt,
    .z-south-capcnt,
    .z-west-capcnt,
    .z-east-capcnt,
    .z-center-capcnt {
        height: auto;
        min-height: $collapsible-container__capcnt--min-height;
    }
    .yw-caption-container span.z-label {
        color: $collapsible-container__caption-label--color;
        font-size: $collapsible-container__caption-label--font-size;
        float: left;
    }
}